package com.yingxin.server.client.Service.Impl;

import com.yingxin.server.client.Service.UserService;
import com.yingxin.server.client.dao.UserDao;
import com.yingxin.server.client.entities.Role;
import com.yingxin.server.client.entities.User;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

public class UserServiceImpl implements UserService {

    @Autowired
    private UserDao userDao;

    @Override
    public User findByUsername(String username) {
        return userDao.findByUsername(username);
    }

    @Override
    public List<Role> findRoleByUsername(String username) {
        return userDao.findRoleByUsername(username);
    }
}
