package com.yingxin.server.client.dao;

import com.yingxin.server.client.entities.Role;
import com.yingxin.server.client.entities.User;
import org.apache.ibatis.annotations.*;
import java.util.List;

/**
 * description//TODO
 *
 * @author gaozhentao
 * @version 1.0
 * @date 2019/8/22
 */
@Mapper
public interface UserDao {

    @Select("select * from user where username = #{username}")
    User findByUsername(@Param("username") String username);

    @Select("select role_name,role.id from user,role where user.role_id=role.id and username= #{username}")
    List<Role> findRoleByUsername(@Param("username") String username);
}
